LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Bank

Create a new bank account

Creates a new bank account and links it 1:1 with an existing SKR04 asset account. The same account cannot be assigned to multiple bank accounts.

POST /v1/bank-accounts
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Request Body
name string required Account label (max 255)
iban string required IBAN (15–34 characters)
bic string optional BIC (max 11)
account_number string required SKR04 account number (1–8 digits, must exist as an asset account in the chart of accounts and must not yet be linked to another bank account)
currency string optional Currency (3 characters, default: EUR)
Responses
201
Success
400
INVALID_INPUT Required fields are missing or values do not match the expected format.
400
ACCOUNT_NOT_FOUND The specified expense or revenue account does not exist in the chart of accounts.
400
INVALID_ACCOUNT_TYPE
409
ACCOUNT_ALREADY_LINKED
409
DUPLICATE_IBAN
POST /v1/bank-accounts
cURL
-cmd">curl --request -method">POST -punct">\
  --url 'https://api.ledgerlou.de/v1/bank-accounts' -punct">\
  --header 'Authorization: Bearer ll_your_key' -punct">\
  --header 'Content-Type: application/json' -punct">\
  --data '{
  "name": "Geschäftskonto",
  "iban": "DE89370400440532013000",
  "account_number": "1800"
}'
201 Response
JSON
created bank account.